/*******************************************************************************
 * Copyright (c) 2008, 2011 Sonatype Inc. and others.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Sonatype Inc. - initial API and implementation
 *******************************************************************************/
package tycho.demo.itp01.tests;

import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.net.URI;
import java.net.URISyntaxException;
import java.net.URL;
import java.util.Properties;

import junit.framework.Assert;

import org.eclipse.core.runtime.FileLocator;
import org.junit.Test;

public class ITP01Test {

	@Test
	public void sampleAction() throws Exception {


		try {

			Properties props = new Properties();

			URL url = this.getClass().getResource("/tycho/demo/itp01/tests/test.properties");

			org.junit.Assert.assertNotNull(url);

		   /*
			* Test case 1: Works in Eclipse, not in Tycho
			*


			File propertiesFile = new File(url.getFile());
			System.err.println("File path was: " + propertiesFile.getPath());



			FileReader fr = new FileReader(propertiesFile);
			props.load(fr);


			*/

		/*
		 * Test Case 2: Works in Eclipse and Tycho
		 *
		 *
		 *
		   InputStream is = this.getClass().getResourceAsStream("/tycho/demo/itp01/tests/test.properties");
		   props.load(is);

		   *
		   */

			URI uri = FileLocator.find(url).toURI();

			System.err.println(uri.toString());
			File propertiesFile = new File(uri);
			System.err.println("File path was: " + propertiesFile.getPath());

				FileReader fr = new FileReader(propertiesFile);
			props.load(fr);


			String value = props.getProperty("property1");

			Assert.assertEquals("value1", value);

		} catch(IOException e) {
			e.printStackTrace();
			throw e;
		} catch (URISyntaxException e) {
			e.printStackTrace();
			throw e;
		}
	}
}
